<script>
    import DocsDropdown from './DocsDropdown.vue'

    export default {
        components: { DocsDropdown },
        props: {
            currentClient: Object,
        },
        computed: {
            userImg(){
                if (this.currentClient.img) {
                    return this.currentClient.img
                } else  return 'chat-default'
            }
        }
    }
</script>
<template>
    <div class="client-data py-4">
        <!-- HEADER -->
        <div class="client-data-header bg-white rounded-4 p-4 lg:mb-3">
            <div class="flex justify-center lg:justify-end mb-3">
                <img class="cursor-pointer" src="@/assets/images/views/panel/icon-tag.svg" alt="">
                <img class="mx-3 cursor-pointer" src="@/assets/images/views/panel/icon-block.svg" alt="">
                <img class="cursor-pointer" src="@/assets/images/views/panel/icon-heart.svg" alt="">
            </div>

            <div class="tx-center">
                <div class="h-28 lg:h-33 w-28 lg:w-33 rounded-100pr bg-center bg-cover bg-no-repeat mx-auto mb-3" :style="{ 'background-image': 'url('+ require('@/assets/images/views/panel/'+ userImg +'.jpg') +')'}"></div>
                <h2 class="chat-item-name tx-16 mb-1">
                    {{ currentClient.name }}
                </h2>
                <p class="tx-14 mb-0 lg:mb-4">
                    55 33 0978 5642
                </p>
            </div>
        </div>

        <!-- STATUS -->
        <div class="client-data-header bg-white rounded-4 p-4 lg:mb-3">
            <p class="tx-14 tx-center tx-medium">
                Marcar estatus de la conversación.
            </p>
            <div class="flex justify-center lg:mb-3">
                <div class="icon-state h-8 w-8 rounded-100pr grid place-items-center border-1 cursor-pointer transition-100">
                    <img src="@/assets/images/views/panel/icon-times.svg" alt="">
                </div>
                <div class="icon-state h-8 w-8 rounded-100pr grid place-items-center border-1 cursor-pointer mx-3 transition-100">
                    <img src="@/assets/images/views/panel/icon-check.svg" alt="">
                </div>
                <div class="icon-state h-8 w-8 rounded-100pr grid place-items-center border-1 cursor-pointer transition-100">
                    <img src="@/assets/images/views/panel/icon-settings.svg" alt="">
                </div>
            </div>
        </div>

        <!-- DOCS -->
        <div class="client-data-docs bg-white rounded-4 p-4">
            <docs-dropdown/>
        </div>
    </div>
</template>